Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#19280 - [zlib] 1.2.5 has issues with LFS on i686

Attached to Project: Arch Linux
Opened by Evangelos Foutras (foutrelis) - Thursday, 29 April 2010, 01:02 GMT
Last edited by Pierre Schmitz (Pierre) - Saturday, 12 June 2010, 11:17 GMT
Task Type Bug Report
Category Packages: Core
Status Closed
Assigned To Pierre Schmitz (Pierre)
Architecture i686
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:

I was unable to build cgit [1] from the AUR on i686 because of some conflicts [2] among the function declarations in zlib.h. Some searching revealed a similar report [3] on Gentoo's bug tracker, which also has a patch attached. Unfortunately, I was unable to confirm that the patch works in my case (cgit).

(I'm going to bed now, but I'm filing this report so we can keep track of the issue and I might look some more into it tomorrow.)


Additional info:
* package version(s) zlib-1.2.5-1


Steps to reproduce:

- Try building the cgit package for the i686 architecture.

----
[1] http://aur.archlinux.org/packages.php?ID=22790
[2] http://aur.pastebin.com/dhsEpeU7
[3] http://bugs.gentoo.org/show_bug.cgi?id=316377
This task depends upon

Closed by  Pierre Schmitz (Pierre)
Saturday, 12 June 2010, 11:17 GMT
Reason for closing:  Fixed
Comment by Evangelos Foutras (foutrelis) - Thursday, 29 April 2010, 01:02 GMT
Erm, category should be "Packages: Core" instead of Extra, and Architecture should be i686. :3
Comment by Pierre Schmitz (Pierre) - Saturday, 01 May 2010, 05:51 GMT
This is not resolved upstream yet. Gentoo proposes this patch: http://sources.gentoo.org/viewcvs.py/*checkout*/gentoo-x86/sys-libs/zlib/files/zlib-1.2.5-lfs-decls.patch?rev=1.2 But I would like to get an opinion from the zlib devs about this; replacing ifdef with ifndef looks incorrect at first sight.
Comment by Shem Valentine (xvalentinex) - Thursday, 13 May 2010, 19:55 GMT
The gentoo patch resolved building freecad from AUR that was failing due to the same issue.

Looking in the forums there are users who cannot build fatrat due to similar issues.
Comment by Dan Griffiths (Ghost1227) - Monday, 17 May 2010, 04:43 GMT
I can verify that this resolves issues with a few of my outdated packages.
Comment by Ionut Biru (wonder) - Thursday, 20 May 2010, 17:09 GMT
works for me.
Comment by Pierre Schmitz (Pierre) - Thursday, 20 May 2010, 21:27 GMT
zlib 1.2.5-2 including this patch is in [testing].
Comment by Evangelos Foutras (foutrelis) - Friday, 21 May 2010, 07:47 GMT
Just posting to say that with zlib 1.2.5-2 I can now compile cgit on i686. :)

Loading...